summaryrefslogtreecommitdiffstats
path: root/source/d/subversion
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/subversion')
-rwxr-xr-xsource/d/subversion/get-svn-book.sh2
-rwxr-xr-xsource/d/subversion/subversion.SlackBuild10
2 files changed, 8 insertions, 4 deletions
diff --git a/source/d/subversion/get-svn-book.sh b/source/d/subversion/get-svn-book.sh
index 112ba17c3..e88530d32 100755
--- a/source/d/subversion/get-svn-book.sh
+++ b/source/d/subversion/get-svn-book.sh
@@ -3,7 +3,7 @@ CWD=`pwd`
# Add the latest copy of the Subversion book:
( cd $CWD
- lftpget http://svnbook.red-bean.com/nightly/en/svn-book-html.tar.bz2
+ lftpget http://svnbook.red-bean.com/en/1.7/svn-book-html.tar.bz2
chmod 644 svn-book-html.tar.bz2
)
diff --git a/source/d/subversion/subversion.SlackBuild b/source/d/subversion/subversion.SlackBuild
index 27f52fd80..114b11972 100755
--- a/source/d/subversion/subversion.SlackBuild
+++ b/source/d/subversion/subversion.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -79,16 +79,20 @@ CFLAGS="$SLKCFLAGS" \
--disable-static \
--with-apr=/usr \
--with-apr-util=/usr \
- --with-apxs=/usr/sbin/apxs \
+ --with-apxs=/usr/bin/apxs \
--with-neon=/usr \
--with-zlib=/usr \
--with-pic \
--with-ssl \
- --with-kwallet \
--build=$ARCH-slackware-linux
+# Not currently compiling with gcc-4.7.1, but we'll try it again later:
+# --with-kwallet \
+#
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+make install-tools DESTDIR=$PKG || exit 1
make install-docs DESTDIR=$PKG || exit 1
# Install python bindings